# cat::Automatic< T > Class Template Reference

`#include <Types.h>`

List of all members.

## Public Member Functions

| Automatic (T *c_ptr)
| ~Automatic ()
INLINE void | cancel ()

## Private Attributes

T * | ptr

### template<class T>
class cat::Automatic< T >

## Constructor & Destructor Documentation

template<class T>
cat::Automatic< T >::Automatic | ( | T * | c_ptr | ) | `[inline]`

template<class T>
cat::Automatic< T >::~Automatic | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
INLINE void cat::Automatic< T >::cancel | ( |  | ) | `[inline]`

## Member Data Documentation

template<class T>
T* cat::Automatic< T >::ptr `[private]`

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/Types.h